Subject: Cut and paste with C-w/mouse-2 not working?

From: Angelo Graziosi <[email-masked]>
Date: Mon, 02 Aug 2010 00:04:00 +0200

It seems that with recent trunk sources (also with the last, 
rev.100958), cutting with C-w and then pasting with mouse-2 does not 
work. To reproduce:

1. emacs -Q &

2. In the 'scratch' buffer double click on some text, 'buffer', for example.

3. Now cut it: C-w

4. Go to the bottom of the buffer and paste with mouse-2: empty!

I can paste only with C-y. If at step 3. I use M-w (Copy), then pasting 
with mouse-2 works.

The above occurs with GNU/Linux Kubuntu 10.04 and Cygwin builds (GTK) of 
Emacs.

For example, on Kubuntu, one can cut with C-x and the paste with mouse-2 
(Konqueror, Kate,...)

Ciao,
Angelo.